MRWTextInternal::Font Struct Reference

Internal: struct used to store the font of a MRWText. More...

## Public Member Functions

| Font ()
| constructor More...

## Public Attributes

MWAWFont | m_font
| the font More...
int | m_localId
| the local id More...
long | m_tokenId
| the token id More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Font const &font)
| operator<< More...

## Detailed Description

Internal: struct used to store the font of a MRWText.

## Constructor & Destructor Documentation

MRWTextInternal::Font::Font | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Font const & | font
| ) |  |

friend

operator<<

## Member Data Documentation

std::string MRWTextInternal::Font::m_extra

extra data

Referenced by MRWTextInternal::operator<<(), and MRWText::readFonts().

MWAWFont MRWTextInternal::Font::m_font

the font

Referenced by MRWTextInternal::Zone::getFont(), MRWText::readFonts(), and MRWText::send().

int MRWTextInternal::Font::m_localId

the local id

Referenced by MRWTextInternal::Zone::getFont(), MRWTextInternal::operator<<(), and MRWText::readFonts().

long MRWTextInternal::Font::m_tokenId

the token id

Referenced by MRWTextInternal::operator<<(), MRWText::readFonts(), and MRWText::send().

The documentation for this struct was generated from the following file:

- MRWText.cxx